Node.Root (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.Root class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.Root

    java.lang.Object
      org.apache.jasper.compiler.Node
          org.apache.jasper.compiler.Node.Root

Direct Known Subclasses:
  Node.JspRoot

Enclosing class:
  Node

public static class Node.Root
extends Node

Represents the root of a Jsp page or Jsp document

Nested Class Summary

Nested classes inherited from class org.apache.jasper.compiler.Node
`Node.Comment, Node.CustomTag, Node.Declaration, Node.Expression, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.JspAttribute, Node.JspRoot, Node.JspText, Node.Nodes, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.Scriptlet, Node.SetProperty, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean, Node.Visitor`

Field Summary

Fields inherited from class org.apache.jasper.compiler.Node
`attrs, beginJavaLine, body, endJavaLine, parent, startMark, text`

Method Summary
`void` | `accept(Node.Visitor v)`
`Node.Root` | `getParentRoot()`
`boolean` | `isXmlSyntax()`

Methods inherited from class org.apache.jasper.compiler.Node
`getAttributes, getAttributeValue, getBeginJavaLine, getBody, getEndJavaLine, getParent, getStart, getText, setAttributes, setBeginJavaLine, setBody, setEndJavaLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public void accept(Node.Visitor v)
                throws JasperException

  Parameters:
    `v` - The visitor class
  Throws:
    `JasperException`

### isXmlSyntax

    public boolean isXmlSyntax()

  Overrides:
    `isXmlSyntax` in class `Node`
  Returns:
    true if the current page is in xml syntax, false otherwise.

### getParentRoot

    public Node.Root getParentRoot()

  Returns:
    The enclosing root to this root. Usually represents the page that includes this one.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.